gnutls_heartbeat_pong(3)

NAME
gnutls_heartbeat_pong - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_heartbeat_pong(gnutls_session_t session, unsigned int flags);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

unsigned int flags
    should be zero

DESCRIPTION
This function replies to a ping by sending a pong to the peer.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

SINCE
3.1.2

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/